package com.mortals.xhx.module.site.model;

import com.mortals.xhx.module.site.model.vo.SiteVo;
import lombok.Data;

import java.util.Date;
/**
 * 站点实体对象
 *
 * @author zxfei
 * @date 2024-12-11
 */
@Data
public class SiteEntity extends SiteVo {
    private static final long serialVersionUID = 1L;

    /**
     * 站点名称
     */
    private String siteName;
    /**
     * 站点编号
     */
    private String siteCode;
    /**
     * 区域Id
     */
    private String areaID;
    /**
     * 区域编号
     */
    private String areaCode;
    /**
     * 区域名称
     */
    private String areaName;
    /**
     * 省编码
     */
    private String proCode;
    /**
     * 市编码
     */
    private String cityCode;
    /**
     * 区编码
     */
    private String districtCode;
    /**
     * 站点服务器ip
     */
    private String siteIp;
    /**
     * 站点服务器端口
     */
    private String sitePort;
    /**
     * 经度
     */
    private String longitude;
    /**
     * 纬度
     */
    private String latitude;
    /**
     * 中心联系电话
     */
    private String siteTel;
    /**
     * 中心详细地址
     */
    private String detailAddress;
    /**
     * 中心介绍
     */
    private String siteRemark;
    /**
     * 上午上班开始时间
     */
    private Date amWorkStartTime;
    /**
     * 上午上班结束时间
     */
    private Date amWorkEndTime;
    /**
     * 下午上班开始时间
     */
    private Date pmWorkStartTime;
    /**
     * 下午上班结束时间
     */
    private Date pmWorkEndTime;
    /**
     * 周一 (1.上班，0.不上)
     */
    private Integer workday1;
    /**
     * 周二 (1.上班，0.不上)
     */
    private Integer workday2;
    /**
     * 周三 (1.上班，0.不上)
     */
    private Integer workday3;
    /**
     * 周四 (1.上班，0.不上)
     */
    private Integer workday4;
    /**
     * 周五 (1.上班，0.不上)
     */
    private Integer workday5;
    /**
     * 周六 (1.上班，0.不上)
     */
    private Integer workday6;
    /**
     * 周日 (1.上班，0.不上)
     */
    private Integer workday7;
    /**
     * 在线取号（0.否，1.是）
     */
    private Integer onlineTake;
    /**
     * 在线取号（0.否，1.是）
     */
    private Integer appointment;
    /**
     * 在线取号（0.否，1.是）
     */
    private Integer gowMap;
    /**
     * 楼层
     */
    private Integer level;
    /**
     * 楼栋
     */
    private Integer building;
    /**
     * logo图片地址
     */
    private String logoPath;
    /**
     * 英文名称
     */
    private String englishName;
    /**
     * 负责人
     */
    private String leadingOfficial;
    /**
     * 联系电话
     */
    private String leadingOfficialTelephone;
    /**
     * 部署模块，逗号分隔
     */
    private String modelIds;
    /**
     * 政务风貌，多个逗号分割
     */
    private String govAffairStyle;
    /**
     * 投诉电话
     */
    private String complaintHotline;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof SiteEntity) {
            SiteEntity tmp = (SiteEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
        this.siteName = "";
        this.siteCode = "";
        this.areaID = "";
        this.areaCode = "";
        this.areaName = "";
        this.proCode = "";
        this.cityCode = "";
        this.districtCode = "";
        this.siteIp = "127.0.0.1";
        this.sitePort = "80";
        this.longitude = "";
        this.latitude = "";
        this.siteTel = "13808095770";
        this.detailAddress = "";
        this.siteRemark = "";
        this.amWorkStartTime = null;
        this.amWorkEndTime = null;
        this.pmWorkStartTime = null;
        this.pmWorkEndTime = null;
        this.workday1 = 1;
        this.workday2 = 1;
        this.workday3 = 1;
        this.workday4 = 1;
        this.workday5 = 1;
        this.workday6 = 0;
        this.workday7 = 0;
        this.onlineTake = 1;
        this.appointment = 1;
        this.gowMap = 1;
        this.level = 1;
        this.building = 1;
        this.logoPath = "";
        this.englishName = "";
        this.leadingOfficial = "张三";
        this.leadingOfficialTelephone = "13808095770";
        this.modelIds = "";
        this.govAffairStyle = "";
        this.complaintHotline = "";
    }
}